(function($) {
    'use strict';

    var $progressContainer;
    var $loggerContainer;
    var $form;

    function esImport(data) {
        $form.find( 'input, select' ).prop( 'disabled', 'disabled' );

        $.ajax({
            url: Estatik.ajaxurl,
            data: data,
            type: "POST",
            processData: false,  // tell jQuery not to process the data
            contentType: false,   // tell jQuery not to set contentType
            success: function(response) {
                response = response || {};

                var formData = new FormData();

                for (var i in response) {
                    formData.append(i, response[i])
                }

                if (response.progress) {
                    $progressContainer.show().percent(response.progress);
                }

                if (response.messages && response.messages) {
                    for (var type in response.messages) {
                        if (response.messages[type] && response.messages[type][response.index] != 'undefined') {
                            for (var j in response.messages[type]) {
                                $loggerContainer.append('<li class="es-message es-message-' + type + '">' + response.messages[type][j] + '</li>')
                            }
                        }
                    }
                }

                $('.es-scroll-container').mCustomScrollbar().mCustomScrollbar('scrollTo', 'bottom');

                if (!response.done) {
                    esImport(formData);
                } else {
                    $form.find( 'input' ).removeProp( 'disabled' );
                    $form.find( '[type=file]' ).val('');
                }
            },
            dataType: 'json'
        });
    }

    $(function() {
        $progressContainer = $('.es-progress');
        $loggerContainer = $('.es-logger-container');
        $form = $('#es-import-form');

        $progressContainer.Progress({
            width: $progressContainer.parent().width(),
            height: 31,
            percent: 0,
            backgroundColor: '#d1d1d1',
            barColor: '#82C728',
            fontColor: '#fff',
            radius: 2,
            fontSize: 12,
            increaseTime: 0.0001,
            increaseSpeed: 3,
            animate: true
        }).hide();

        $form.on('submit', function() {
            var form = document.getElementById(this.id);
            var formData = new FormData(form);
            esImport(formData);

            return false;
        });

        $('.js-es-import-select').on('change', function() {
            var $el = $(this);
            var $option = $el.find('option:selected');
            var value = $el.val();
            var $searchWidgetFieldsList = $('.js-es-import-select-container');

            if (value) {
                $searchWidgetFieldsList.append('' +
                    '<li data-field-name="' + value + '">' + $option.html() + '<a href="#" class="es-remove-field">×</a>' +
                    '<input type="hidden" name="es_import[fields][]" value="' + value + '"></li>');
            }
            $el.val('');
        });
    });
})(jQuery);
