<?php

class Es_Csv_Data_Provider extends Es_Data_Provider
{
    /**
     * @inheritdoc
     */
    public function get_items() {}

    /**
     * Return item using index.
     *
     * @param $index
     * @return mixed
     */
    public function get_item( $index = 0 )
    {
        $delimiter = $this->get_delimiter();

        $i = 0;
        $file = $this->get_file();
        while ( ( $data = fgetcsv( $file, null, $delimiter ) ) !== false ) {
            if ( $i == $index ) {
                return $data;
            }
            $i++;
        }

        return null;
    }

    /**
     * Return num of items.
     *
     * @return mixed
     */
    public function get_count()
    {
        return count( file( $this->_file , FILE_SKIP_EMPTY_LINES ) );
    }

    /**
     * Return CSV delimiter.
     *
     * @return string
     */
    protected function get_delimiter()
    {
        global $es_settings;
        $d = ! empty( $this->_options['delimiter'] ) ? $this->_options['delimiter'] : null;
        if ( ! $d && $es_settings instanceof Es_Settings_Container ) {
            $d = $es_settings->csv_delimiter;
        }

        return $d ? $d : ',';
    }
}
