<?php

/**
 * Class Es_Data_Provider
 */
abstract class Es_Data_Provider implements Es_Data_Provider_Interface
{
    /**
     * @var string
     */
    protected $_file;
    /**
     * @var array
     */
    protected $_options;

    /**
     * Es_Data_Provider constructor.
     *
     * @param $file
     */
    public function __construct( $file, array $options = array() )
    {
        $this->_file = $file;
        $this->_options = $options;
    }

    /**
     * Return file path.
     *
     * @return mixed
     * @throws Exception
     */
    public function get_file()
    {
        if ( ( $handle = fopen( $this->_file, 'r' ) ) !== false ) {
            return $handle;
        } else {
            throw new Exception( __( 'File doesn\'t exist.', 'es-plugin' ) );
        }
    }
}
