<?php

/**
 * @var $user WP_User
 */

?>

<div class='wrap es-wrap es-settings-wrap'>
    <?php if ( current_user_can( 'activate_plugins' ) ) : ?>
        <?php echo es_get_logo(); ?>
    <?php endif; ?>

    <h1><?php _e( 'Agent info', 'es-plugin' ); ?></h1>

    <form action='' method="POST">

        <div class="es-header-button">
            <span><?php _e( 'Please fill up your agent information below and click save to finish.', 'es-plugin' ); ?></span>
            <input type="submit" value="<?php _e( 'Save', 'es-plugin' ); ?>">
        </div>

        <?php $msg = new Es_Messenger( 'es_message' ); $msg->render_messages(); ?>

        <div class="es-box es-agent-profile">

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Name', 'es-plugin' ); ?>:</span>
                    <input type="text" value="<?php echo ! empty( $agent->name ) ? $agent->name : ''; ?>" name="es_agent[name]">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'User name', 'es-plugin' ); ?>:</span>
                    <input type="text" value="<?php echo ! empty( $user->user_login ) ? $user->user_login : ''; ?>" required name="user_login">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Email', 'es-plugin' ); ?>:</span>
                    <input type="text" value="<?php echo ! empty( $user->user_email ) ? $user->user_email : ''; ?>" required name="email">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Company', 'es-plugin' ); ?>:</span>
                    <input type="text" value="<?php echo ! empty( $agent->company ) ? $agent->company: ''; ?>" name="es_agent[company]">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Sold properties', 'es-plugin' ); ?>:</span>
                    <input type="number" value="<?php echo ! empty( $agent->property_qty ) ? $agent->property_qty: ''; ?>" min="0" name="es_agent[property_qty]">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Telephone', 'es-plugin' ); ?>:</span>
                    <input type="text" value="<?php echo ! empty( $agent->tel ) ? $agent->tel: ''; ?>" name="es_agent[tel]">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Website', 'es-plugin' ); ?>:</span>
                    <input type="text" value="<?php echo ! empty( $user->user_url ) ? $user->user_url : ''; ?>" name="url">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Password', 'es-plugin' ); ?>:</span>
                    <input type="password" name="pass1"/>
                </label>
            </div>

            <?php if ( es_subscription_is_enabled() ) : ?>
                <?php if ( $user && es_subscription_is_user_has_subscription( $user->ID ) ) : ?>
                    <div class="es-settings-field">
                        <label><span class="es-settings-label"><?php _e( 'Subscription plan', 'es-plugin' ); ?>:</span>
                            <?php echo es_subscription_get_user_subscription( $user->ID )->get_entity()->post_title; ?>
                            <?php if ( es_subscription_is_user_subscription_expired( $user->ID ) ) : ?>
                                <span style="color:red;"> (<?php _e( 'Expired' , 'es-plugin'); ?>)</span>
                            <?php else: ?>
                                <span style="color:green;"> (<?php _e( 'Active' , 'es-plugin'); ?>)</span>
                            <?php endif; ?>
                        </label>
                    </div>
                <?php else: ?>
                    <?php if ( current_user_can( 'es_manage_agent_subscription_plans' ) && ( $subscriptions = es_get_subscriptions() ) ) : ?>
                        <div class="es-settings-field">
                            <label><span class="es-settings-label"><?php _e( 'Subscription', 'es-plugin' ); ?>:</span>
                                <select name="es_agent[subscription]">
                                    <option value=""><?php _e( '-- Subscription plan --', 'es-plugin' ); ?></option>
                                    <?php foreach ( $subscriptions as $subscription ) : ?>
                                        <option value="<?php echo $subscription->ID; ?>"><?php echo $subscription->post_title; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </label>
                        </div>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>

            <input type="hidden" name="role" value="<?php echo Es_Agent::get_role_name(); ?>"/>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'Rating', 'es-plugin' ); ?>:</span>
                    <div class="es-rating"></div>
                    <input type="hidden"
                           name="es_agent[rating]"
                           value="<?php echo ! empty( $agent->rating ) ? $agent->rating: ''; ?>"
                           class="js-rating-input">
                </label>
            </div>

            <div class="es-settings-field">
                <label><span class="es-settings-label"><?php _e( 'About', 'es-plugin' ); ?>:</span>
                    <textarea name="description" id="" cols="40" rows="4"><?php echo ! empty( $user->description ) ? $user->description : ''; ?></textarea>
                </label>
            </div>

            <div class="es-settings-field es-profile-pic">
                <label><span class="es-settings-label"><?php _e( 'Profile photo', 'es-plugin' ); ?>:</span>
                    <div class="es-profile-photo-wrap">
                        <a class='gallery-image-add button' href='#' data-uploader-title='<?php _e( 'Add image(s) to agent', 'es-plugin' ); ?>' data-uploader-button-text='<?php _e( 'Add image(s)', 'es-plugin' ); ?>'>
                            <?php _e( 'Add image(s)', 'es-plugin' ); ?>
                        </a>
                        <ul id="es-media-list">
                            <?php if ( ! empty( $agent ) && $agent->get_image_url()  ) : ?>
                                <li><input type='hidden' name='es_agent[profile_attachment_id]' class="es-agent__img--input" value='<?php echo $agent->profile_attachment_id; ?>'>
                                    <div class='image-preview-wrap'>
                                        <a href='#' class='remove-image'><i class="fa fa-times-circle" aria-hidden="true"></i></a>
                                        <img src='<?php echo $agent->get_image_url(); ?>' class='image-preview'>
                                    </div>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </label>
            </div>

            <div class="es-fields-custom__wrap">
                <?php if ( ! empty( $agent ) && $custom_data = $agent->get_custom_data() ): ?>
                    <?php foreach ( $custom_data as $item ): ?>
                        <p class="property-data-field">
                            <label>
                                <span class="es-settings-label"><?php echo key( $item ); ?></span>
                                <input type="text" name="es_custom_value[]" value="<?php echo $item[ key( $item ) ]; ?>"/>
                                <input type="hidden" name="es_custom_key[]" value="<?php echo key( $item ); ?>"/>
                                <a href="#" class="js-es-remove-custom"><span class="es-sprite es-sprite-close"></span></a>
                            </label>
                        </p>
                    <?php endforeach; ?>
                <?php endif; ?>
            </div>

            <div class="es-property-custom-wrap">
                <input type="text" placeholder="<?php _e( 'text/number', 'es-plugin' ); ?>" name="es-custom-field">
                <a href="#" class="es-button-add-item es-button-add-custom js-es-add-custom"><?php _e( 'Add new field', 'es-plugin' ); ?></a>
            </div>

        </div>

        <input type="hidden" name="user_id" value="<?php echo ! empty( $user->ID ) ? $user->ID : ''; ?>">

        <?php wp_nonce_field( 'es_save_agent', 'es_save_agent' ); ?>
    </form>
</div>
