<?php global $es_settings; ?>

<div class='wrap es-wrap es-import-wrap'>
    <?php echo es_get_logo(); ?>

    <h1><?php _e( 'Import properties', 'es-plugin' ); ?></h1>

    <form action="#" enctype="multipart/form-data" method="POST" id="es-import-form">
    
        <div class="es-header-button">
            <span>
                <?php _e( 'Please Import your property detail with CSV sample and click save to finish', 'es-plugin' ); ?>.
                <a href="<?php echo es_get_sample_csv_url(); ?>" class="es-highlight-link"><?php _e( 'Download Sample File', 'es-plugin' ); ?></a>
            </span>
            <input type="submit" value="<?php _e( 'Start import', 'es-plugin' ); ?>">
        </div>

        <div class="es-box es-box-p-15">

            <div class="es-row">
                <div class="es-col-2">
                    <div class="es-field es-field-inline">
                        <label for="file"><?php _e( 'Choose source file', 'es-plugin' ); ?>:<br>
                            <input type="file" name="file" required accept=".csv"/>
                        </label>
                    </div>

                    <div class="es-field es-field-inline">
                        <label for="es_import_post_status"><?php _e( 'Property status', 'es-plugin' ); ?>:<br>
                            <?php if ( $statuses = get_post_statuses() ) : ?>
                                <select name="es_import[post_status]" id="es_import_post_status">
                                    <?php foreach ( $statuses as $key => $value ) : ?>
                                        <option value="<?php echo $key; ?>"><?php echo $value; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            <?php endif; ?>
                        </label>
                    </div>

                    <div class="es-field es-field-inline" style="margin-left: 10px;">
                        <label for="es_import_skip_first"><?php _e( 'Skip first line', 'es-plugin' ); ?>
                            <input type="checkbox" id="es_import_skip_first" name="es_import[skip_first]" value="1"/>
                        </label>
                    </div>

                    <?php if ( $fields_all = Es_Import::get_fields() ) : ?>
                        <div class="es-field" style="margin-top: 20px;">
                            <label for="es_import_fields"><?php _e( 'Choose Import Fields', 'es-plugin' ); ?>
                                <select name="" id="es_import_fields" class="js-es-import-select">
                                    <option value="">-- <?php _e( 'Choose fields for import', 'es-plugin' ); ?> --</option>
                                    <?php foreach ( $fields_all as $field => $options ) : ?>
                                        <option value="<?php echo $field; ?>"><?php echo $options['label']; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </label>
                        </div>

                        <div class="es-field" style="margin-top: 20px;">
                            <label for="es_import_fields"><?php _e( 'CSV delimiter', 'es-plugin' ); ?>
                                <input type="text" name="es_import[delimiter]" value="<?php echo $es_settings->csv_delimiter; ?>" required style="width: 30px;">
                            </label>
                        </div>

                        <ul class="js-es-import-select-container es-search-widget-fields">
                            <?php if ( $fields =  Es_Import::get_import_fields() ) : ?>
                                <?php foreach( $fields as $field ) : if ( empty( $fields_all[ $field ] ) ) continue;
                                    $options = $fields_all[ $field ]; ?>
                                    <li data-field-name="<?php echo $field; ?>">
                                        <?php echo $options['label']; ?>
                                        <a href="#" class="es-remove-field">×</a>
                                        <input type="hidden" name="es_import[fields][]" value="<?php echo $field; ?>">
                                    </li>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </ul>
                    <?php endif; ?>
                </div>
                <div class="es-col-2">
                    <div class="es-progress-container">
                        <svg class="es-progress"></svg>

                        <div class="es-scroll-container">
                            <ul class="es-logger-container"></ul>
                        </div>
                    </div>
                </div>
            </div>

            <input type="hidden" name="action" value="es_import_properties"/>
        </div>

    </form>
</div>
