<?php

/**
 * @var Es_Settings_Container $es_settings
 */

$pages = get_pages();
$list_pages[] = __( '-- Select page --', 'es-plugin' );

if ( ! empty( $pages ) ) {
    foreach ( $pages as $page ) {
        $list_pages[ $page->ID ] = $page->post_title;
    }
}

echo Es_Html_Helper::render_settings_field( __( 'Powered by link', 'es-plugin' ), 'es_settings[powered_by_link]', 'checkbox', array(
    'checked' => (bool) $es_settings->powered_by_link ? 'checked' : false,
    'value' => 1,
    'class' => 'es-switch-input',
) );

echo Es_Html_Helper::render_settings_field( __( 'Number of listings per page', 'es-plugin' ), 'es_settings[properties_per_page]', 'number', array(
    'value' => $es_settings->properties_per_page,
    'min' => '1',
) );

echo Es_Html_Helper::render_settings_field( __( 'Show price', 'es-plugin' ), 'es_settings[show_price]', 'checkbox', array(
    'checked' => (bool) $es_settings->show_price ? 'checked' : false,
    'value' => 1,
    'class' => 'es-switch-input',
) ); ?>

<?php if ( $data = $es_settings::get_setting_values( 'title_address' ) ) : $name = 'title_address'; $label = __( 'Title / Address', 'es-plugin' ) ?>
    <?php include( 'fields/radio-list.php' ); ?>
<?php endif; ?>

<?php echo Es_Html_Helper::render_settings_field( __( 'Show Address', 'es-plugin' ), 'es_settings[show_address]', 'checkbox', array(
    'checked' => (bool) $es_settings->show_address ? 'checked' : false,
    'value' => 1,
    'class' => 'es-switch-input',
) );

echo Es_Html_Helper::render_settings_field( __( 'Labels', 'es-plugin' ), 'es_settings[show_labels]', 'checkbox', array(
    'checked' => (bool) $es_settings->show_labels ? 'checked' : false,
    'value' => 1,
    'class' => 'es-switch-input',
) );

echo Es_Html_Helper::render_settings_field( __( 'Date added', 'es-plugin' ), 'es_settings[date_added]', 'checkbox', array(
    'checked' => (bool) $es_settings->date_added ? 'checked' : false,
    'value' => 1,
    'class' => 'es-switch-input',
) );

echo Es_Html_Helper::render_settings_field( __( 'Date format', 'es-plugin' ), 'es_settings[date_format]', 'list', array(
    'value' => $es_settings->date_format,
    'values' => $es_settings::get_setting_values( 'date_format' ),
) );

echo Es_Html_Helper::render_settings_field( __( 'Theme style', 'es-plugin' ), 'es_settings[theme_style]', 'list', array(
    'value' => $es_settings->theme_style,
    'values' => $es_settings::get_setting_values( 'theme_style' ),
) );

echo Es_Html_Helper::render_settings_field( __( 'Show/hide Contact Agent tab', 'es-plugin' ), 'es_settings[show_agent_tab]', 'checkbox', array(
    'checked' => (bool) $es_settings->show_agent_tab ? 'checked' : false,
    'value' => 1,
    'class' => 'es-switch-input',
) );

echo Es_Html_Helper::render_settings_field( __( 'Registration page', 'es-plugin' ), 'es_settings[registration_page_id]', 'list', array(
    'value' => $es_settings->registration_page_id,
    'values' => $list_pages,
) );

echo Es_Html_Helper::render_settings_field( __( 'Login page', 'es-plugin' ), 'es_settings[login_page_id]', 'list', array(
    'value' => $es_settings->login_page_id,
    'values' => $list_pages,
) );

echo Es_Html_Helper::render_settings_field( __( 'Reset password page', 'es-plugin' ), 'es_settings[reset_password_page_id]', 'list', array(
    'value' => $es_settings->reset_password_page_id,
    'values' => $list_pages,
) );

echo Es_Html_Helper::render_settings_field( __( 'Property management page', 'es-plugin' ), 'es_settings[prop_management_page_id]', 'list', array(
    'value' => $es_settings->prop_management_page_id,
    'values' => $list_pages,
) );

echo Es_Html_Helper::render_settings_field( __( 'Google map API key', 'es-plugin' ), 'es_settings[google_api_key]', 'text', array(
    'value' => $es_settings->google_api_key,
) );

echo Es_Html_Helper::render_settings_field( __( 'Google Recaptcha SiteKey', 'es-plugin' ), 'es_settings[recaptcha_site_key]', 'text', array(
    'value' => $es_settings->recaptcha_site_key,
) );

echo Es_Html_Helper::render_settings_field( __( 'Google Recaptcha SecretKey', 'es-plugin' ), 'es_settings[recaptcha_secret_key]', 'text', array(
    'value' => $es_settings->recaptcha_secret_key,
) ); ?>

<div class="es-field es-profile-pic">
    <input type='hidden' name='es_settings[logo_attachment_id]' value=''>

    <div class="es-field__label"><?php _e( 'Admin and PDF Logo image', 'es-plugin' ); ?>:</div>
    <div class="es-field__content">
        <div class="es-profile-photo-wrap">
            <a class='gallery-image-add button' href='#' data-uploader-title='<?php _e( 'Add image(s) to agent', 'es-plugin' ); ?>' data-uploader-button-text='<?php _e( 'Add image(s)', 'es-plugin' ); ?>'>
                <?php _e( 'Add image(s)', 'es-plugin' ); ?>
            </a>
            <ul id="es-media-list" class="es-attachment-logo">
                <?php if ( $es_settings->logo_attachment_id && $image = wp_get_attachment_image_url( $es_settings->logo_attachment_id ) ) : ?>
                    <li><input type='hidden' name='es_settings[logo_attachment_id]' value='<?php echo $es_settings->logo_attachment_id; ?>'>
                        <div class='image-preview-wrap'>
                            <a href='#' class='remove-image'><i class="fa fa-times-circle" aria-hidden="true"></i></a>
                            <img src='<?php echo $image; ?>' class='image-preview'>
                        </div>
                    </li>
                <?php endif; ?>
            </ul>
        </div>
    </div>
</div>

<?php echo Es_Html_Helper::render_settings_field( __( 'Admin Logo Width', 'es-plugin' ), 'es_settings[logo_attachment_width]', 'text', array(
    'value' => $es_settings->logo_attachment_width,
) ); ?>

<?php echo Es_Html_Helper::render_settings_field( __( 'Admin Logo Height', 'es-plugin' ), 'es_settings[logo_attachment_height]', 'text', array(
    'value' => $es_settings->logo_attachment_height,
) );
