<?php

/**
 * @var $this Es_Request_Widget
 * @var $instance array
 */

$title = ! empty( $instance['title'] ) ? $instance['title'] : __( 'Learn more about this property', 'es-plugin' );

$message = ! empty( $instance['message'] ) ? $instance['message'] :
	__( 'Hi, I`m interested in the property. Please send me more information about it. Thank you!', 'es-plugin' );

$send_to = ! empty( $instance['send_to'] ) ? $instance['send_to'] : $this::SEND_ADMIN;

$subject = ! empty( $instance['subject'] ) ? $instance['subject'] : __( 'Estatik Request Info from', 'es-plugin' ); ?>

<div class="es-widget-wrap">
	<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php _e( 'Request title', 'es-plugin' ); ?>:</label>
		<input type="text" class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" value="<?php echo $title; ?>"/>
	</p>

	<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'message' ) ); ?>"><?php _e( 'Request Message', 'es-plugin' ); ?>:</label>
		<textarea class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'message' ) ); ?>"><?php echo $message; ?></textarea>
	</p>

	<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'send_to' ) ); ?>"><?php _e( 'Send Message To', 'es-plugin' ); ?>:</label>
		<select class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'send_to' ) ); ?>">
			<?php if ( $list = $this::get_send_to_list() ) : ?>
				<?php foreach ( $list as $key => $label ) : ?>
					<option value="<?php echo $key; ?>" <?php selected( $key, $send_to ); ?>><?php echo $label; ?></option>
				<?php endforeach; ?>
			<?php endif; ?>
		</select>
	</p>

    <p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'subject' ) ); ?>"><?php _e( 'Email subject', 'es-plugin' ); ?>:</label>
        <input type="text" name="<?php echo $this->get_field_name( 'subject' ); ?>" value="<?php echo $subject; ?>">
    </p>
</div>
