( function( $ ) {
    'use strict';

    $( function() {
        var $searchWrap = $( '.es-search__wrapper' );
        var $requestForm = $( '.es-request-widget-wrap form' );
        var $responseBlock = $( '.es-response-block' );
        var $select2Tags = $(' .es-select2-tags ');

        $searchWrap.find( 'select:not(.es-select2-tags)' ).esDropDown();

        $searchWrap.find('input[type=reset]' ).click( function() {
            var $form = $( this ).closest( 'form' );

            $form.find( '.es-search__field' ).find( 'input, select' )
                .val( null )
                .attr( 'value', '' )
                .attr( 'data-value', '' )
                .trigger( 'change' );

            var $select2Tags = $form.find( '.es-select2-tags' );

            if ( $select2Tags.length ) {
                $select2Tags.select2( 'val', '' );
                $select2Tags.select2( 'data', null );
                $select2Tags.find( 'option' ).removeProp( 'selected' ).removeAttr( 'selected' );
            }

            $form.find( '.js-es-location' )
                .find( 'option:first' )
                .attr( 'selected', 'selected' )
                .closest( '.es-dropdown-wrap' )
                .find( 'li.active' )
                .removeClass( 'active' );

            $form.find( '.js-es-location' )
                .esDropDown( 'rebuild' );
        } );

        $('.widget_es_search_widget [data-date-field]').each(function() {
            $(this).datepicker({
                dateFormat: "dd.mm.yy"
            });
        });

        // Upload ling on register page.
        $( '.js-trigger-upload' ).click( function() {
            $( $( this ).data('selector') ).trigger( 'click' );

            return false;
        } );

        // Input on register page.
        $( '.js-es-input-image' ).change( function() {
            var el = this;
            var reader = new FileReader();

            reader.onload = function( e ) {
                $( el ).closest( 'div' ).find( '.js-es-image' ).html( "<img src='" + e.target.result + "'>" );
            };

            reader.readAsDataURL( el.files[0] );

            $( '.js-trigger-upload span' ).html( Estatik.tr.replace_photo );
        } );

        if ( $select2Tags.length ) {
            $select2Tags.select2( {
                tags: true,
                height: '20px'
            } );
        }

        if ( $( '.es-select2' ).length ) {
            $( '.es-select2' ).select2();
        }

        $requestForm.on('submit', function() {
            var formData = $( this ).serialize();
            var $form = $( this );

            $.post( Estatik.ajaxurl, formData, function( response ) {
                response = JSON.parse( response );
                $responseBlock.html( response );
                $form.hide();
            } );

            return false;
        });

        $( document ).on( 'click', '.js-es-request-form-show', function() {
            $requestForm.show();
            grecaptcha.reset();
            $responseBlock.html('');
            $requestForm.find( 'input[type=text], input[type=tel], input[type=email], textarea' ).val( '' );
        });

        $( '.es-recaptcha-wrapper .g-recaptcha' ).each( function() {
            if ( ! $(this).closest('.contact-block__send-form-wrapper').length ) {
                var recaptcha = $(this);
                var newScaleFactor = recaptcha.parent().innerWidth() / 304;
                recaptcha.css('transform', 'scale(' + newScaleFactor + ')');
                recaptcha.css('transform-origin', '0 0');
            }

        } );

        $( '.js-autocomplete-wrap input' ).keyup( function() {
            var $el = $( this );
            var action = $( this ).data( 'action' );

            $.post( Estatik.ajaxurl, {
                action: action,
                s: $( this ).val()
            }, function( response ) {
                $el.closest( '.js-autocomplete-wrap' ).find( '.es-autocomplete-result' ).html( response );
            } );
        } );

        $( '.js-autocomplete-wrap' ).on( 'click', 'li', function() {
            var $el = $( this );
            var $parent = $el.closest( '.js-autocomplete-wrap' );
            $parent.find( 'input' ).val( $el.data( 'content' ) );
            $parent.find( '.es-autocomplete-result' ).html('');
        } );
    } );
} )( jQuery );
