( function( $ ) {

    /**
     * Initialize admin property google map.
     */
    function esInitMetaboxMap() {
        var $lon = $('#es-longitude-input').val();
        var $lat = $('#es-latitude-input').val();
        var map = document.getElementById('es-property-map');

        if ($lon && $lat && map && EsGoogleMap != 'undefined') {
            var instance = new EsGoogleMap(map, $lon, $lat).init();
            instance.setMarker();

            map.classList.add('es-map-border');

            instance.getGeocoderInfo($lat, $lon, function(results, status) {
                if (status == 'OK') {
                    $('#es-address-input').val(results[0].formatted_address);
                    $('#es-address_components-input').val(JSON.stringify(results[0].address_components));
                }
            });
        } else {
            if (map) {
                map.classList.remove('es-map-border');
            }
        }
    }

    $( function() {
        var addressInput = document.getElementById( 'es-address-input' );

        // Reinit metabox map after change coordinates.
        $( '#es-latitude-input, #es-longitude-input' ).change( esInitMetaboxMap );

        if ( addressInput ) {
            var autocomplete = new google.maps.places.Autocomplete( addressInput );

            // Reinit map when address changed.
            google.maps.event.addListener(autocomplete, 'place_changed', function() {
                var result = autocomplete.getPlace();

                if ( result != 'undefined' ) {
                    var location = result.geometry.location;
                    $( '#es-latitude-input' ).val(location.lat());
                    $( '#es-longitude-input' ).val(location.lng());

                    esInitMetaboxMap();
                }
            })
        }
    } );

    window.esInitMetaboxMap = esInitMetaboxMap;
} )( jQuery );
