<?php

/**
 * Class Es_User
 */
abstract class Es_User extends Es_Entity
{
    /**
     * @inheritdoc
     */
    public function get_entity()
    {
        return new WP_User( $this->getID() );
    }

    /**
     * @inheritdoc
     */
    public function get_field_value( $field, $single = true )
    {
        return get_user_meta( $this->getID(), $this->get_entity_prefix() . $field, $single );
    }

    /**
     * @inheritdoc
     */
    public function save_field_value( $field, $value )
    {
        update_user_meta( $this->getID(), $this->get_entity_prefix() . $field, $value );
    }

    /**
     * Remove agent field.
     *
     * @param $field
     */
    public function delete_field_value( $field ) {
        delete_user_meta( $this->getID(), $this->get_entity_prefix() . $field );
    }
}
