<?php

/**
 * Class Es_Agent_List_Shortcode for [es_agents] shortcode.
 */
class Es_Agent_List_Shortcode extends Es_Shortcode
{
    /**
     * Function used for build shortcode.
     * @see add_shortcode
     *
     * @param array $atts Shortcode attributes array.
     *
     * @return mixed
     */
    public function build( $atts = array() )
    {
        $args = array();

        $args['role'] = Es_Agent::get_role_name();

        $query = new WP_User_Query( $args );

        $agents = $query->get_results();

        ob_start();

        if ( $agents ) {
            echo "<div class='es-agent__list'>";
            foreach ( $agents as $agent ) {
                $agent = es_get_agent( $agent->ID );
                $template = apply_filters( 'es_agents_list_shortcode_template', ES_TEMPLATES . 'property/agent.php' );
                include( $template );
            }
            echo "</div>";
        }

        do_action( 'es_shortcode_after' );

        return ob_get_clean();
    }

    /**
     * Return shortcode name.
     *
     * @return string
     */
    public function get_shortcode_name()
    {
        return 'es_agents';
    }
}