<?php

/**
 * Class Es_Register_Shortcode
 */
class Es_Register_Shortcode extends Es_Shortcode
{

    /**
     * Function used for build shortcode.
     * @see add_shortcode
     *
     * @param array $atts Shortcode attributes array.
     *
     * @return mixed
     */
    public function build( $atts = array() )
    {
        $can_register = get_option( 'users_can_register' );
        $content = null;

        // If user is not authorized and registration is enabled in wp settings page.
        if ( $can_register ) {
            $template = apply_filters( 'es_register_shortcode_template', ES_TEMPLATES . 'shortcodes' . ES_DS . 'register.php' );

            if ( file_exists( $template ) ) {
                ob_start();
                include $template;

                do_action( 'es_shortcode_after' );

                $content = ob_get_clean();
            }
        }

        return $content;
    }

    /**
     * Return shortcode name.
     *
     * @return string
     */
    public function get_shortcode_name()
    {
        return 'es_register';
    }
}
