<?php

/**
 * Base Class Es_Location_Shortcode for locations filter.
 */
abstract class Es_Location_Shortcode extends Es_My_Listing_Shortcode
{
    /**
     * @inheritdoc
     */
    public function get_shortcode_default_atts()
    {
        $default = array_merge( parent::get_shortcode_default_atts(), array(
            'city' => null,
            'state' => null,
            'country' => null,
        ) );

        return $default;
    }

    /**
     * Merge shortcode attributes (default / input).
     *
     * @param $atts
     * @return array
     */
    public function merge_shortcode_atts( $atts )
    {
        $atts = parent::merge_shortcode_atts( $atts );

        if ( $loc_attr = $this->get_location_attr() ) {
            if ( empty( $atts[ $loc_attr ] ) ) {
                $atts['prop_id'] = array( -1 );
            } else {
                $atts['address'] = $atts[ $this->get_location_attr() ];
            }
        }


        return $atts;
    }

    /**
     * Get location search attribute.
     *
     * @return string
     */
    abstract  public function get_location_attr();
}
