<?php

/**
 * Class Es_Search_Map_Shortcode.
 */
class Es_Search_Map_Shortcode extends Es_Property_Map_Shortcode {

	/**
	 * @inheritdoc
	 */
	public function get_shortcode_name() {
		return 'es_search_map';
	}

	/**
	 * @inheritdoc
	 */
	public function build_query_args( $atts )
	{
		$args = parent::build_query_args( $atts );

		if ( $atts['show'] == 'all') {
			$args['limit'] = -1;
			$args['posts_per_page'] = -1;
		} else {
			$args['posts_per_page'] = $atts['limit'];
		}

		unset( $args['paged'] );

		if ( ! empty( $_GET['es_search'] ) ) {
			$query = Es_Search_Widget::build_query( new WP_Query(), $_GET['es_search'] );
			$args = array_merge( $args, $query->query_vars );
		}

		return $args;
	}
}
