( function( $ ) {
    'use strict';

    $( function() {

        var $styledCheckboxes = $( '.es-switch-input' );
        var $confirmPopup = $('.es-confirm-popup');
        var $messagePopup = $('.es-message-popup');

        // Check / uncheck all checkboxes of table.
        $( '.js-es-check-all' ).on( 'change', function() {
            var $el = $( this );
            $el.closest( '.es-table-wrap' )
                .find( 'tbody .es-col-cb input[type=checkbox]' )
                .prop( 'checked',  $el.is( ':checked' ) ).trigger( 'change' );
        } );

        $('.js-es-select-deselect-all').on( 'click', function() {
            $( this ).toggleClass( 'active' );
            $( this ).closest( '.es-manage-shortcode__wrap' ).find( '.js-es-check-all' ).prop( 'checked', $( this ).hasClass( 'active' ) ).trigger( 'change' );
        } );

        $('.es-list-table tbody .es-col-cb input' ).change( function() {
            if ( $( this ).is( ':checked' ) ) {
                $( this ).closest( 'tr' ).addClass( 'active' );
            } else {
                $( this ).closest( 'tr' ).removeClass( 'active' );
            }
        } );

        var $datePicker = $( '.js-datepicker' );

        // Initialize datepicker.
        $datePicker.datepicker( {
            showOn: "button",
            buttonImage: Estatik.settings.pluginUrl + '/admin/assets/images/es_calender_icon.png',
            buttonImageOnly: true,
            dateFormat: "mm/dd/yy"
        } );

        if ( $styledCheckboxes.length ) {
            $styledCheckboxes.esCheckbox( {
                labelTrue: Estatik.tr.yes,
                labelFalse: Estatik.tr.no
            } );
        }

        if ($confirmPopup.length) {
            $confirmPopup.esPopup({confirmPopup: true});
        }

        if ($messagePopup.length) {
            $messagePopup.esPopup();
        }

        // Manage action buttons.
        $( '.es-link[data-action]' ).click( function() {
            var confirmMsg = $( this ).data( 'confirm' );
            var errorMsg = $( this ).data( 'error' );
            var $el = $(this);

            if (!$('.es-list-table [type=checkbox]:checked').length) {
                $('.es-message-popup').esPopup('closeBtn', "<a href='#' class='es-popup-close'>×</a>").esPopup('message', errorMsg).esPopup('show');
            } else {
                $('.es-confirm-popup').esPopup('closeBtn', "<a href='#' class='es-popup-close'>×</a>").esPopup('yesCallback', function() {
                    $( 'input[name=es-action]' ).val( $el.data( 'action' ) );
                    $el.closest('form').submit();
                    $(this).esPopup('hide');

                    return false;
                }).esPopup('message', confirmMsg).esPopup('show');
            }

            return false;
        } );

        $('.es-manage-links__wrap a.es-trash').click(function() {
            var $el = $(this);
            var href = $el.attr('href');

            $('.es-confirm-popup').esPopup('closeBtn', "<a href='#' class='es-popup-close'>×</a>").esPopup('yesCallback', function() {
                window.location.href = href;
                $(this).esPopup('hide');

                return false;
            }).esPopup('message', Estatik.tr.confirmDeleting).esPopup('closeBtn', "<a href='#' class='es-popup-close'>×</a>").esPopup('show');

            return false;
        });

        $('.js-es-add-custom').click( function() {
            var value = $('[name=es-custom-field]').val();

            if (value) {
                var content = '<div class="es-field es-field-custom">' +
                    '<div class="es-field__label">' + value + '</div>' +
                    '<div class="es-field__content">' +
                    '<input type="text" name="es_custom_value[]"/>' +
                    '<input type="hidden" name="es_custom_key[]" value="' + value + '"/>' +
                    '<a href="#" class="js-es-remove-custom"><span class="es-sprite es-sprite-close"></span></a>' +
                    '</div>' +
                    '</div>';

                $('.es-fields-custom__wrap').append( content ).sortable();
            }

            $('[name=es-custom-field]').val('');

            return false;
        } );

        $( '.js-es-tabs .nav-tab-menu li a' ).click( function() {
            var $wrapper = $( this ).closest( '.js-es-tabs' );
            var tabContainer = $( this ).attr( 'href' );

            if ( tabContainer.length > 1 ) {

                $wrapper.find( 'li' ).removeClass( 'active' );
                $( this ).closest( 'li' ).addClass( 'active' );

                $wrapper.find( '.es-tab' ).hide();
                $( tabContainer ).show();

                var yScroll = document.body.scrollTop;

                if ( history.pushState ) {
                    history.pushState( null, null, tabContainer );
                }
                else {
                    location.hash = tabContainer;
                }

                document.body.scrollTop = yScroll;

                esInitMetaboxMap();
            }

            return false;
        } );


        if ( window.location.hash ) {
            if ( $( window.location.hash ).hasClass( 'es-tab' ) ) {
                $( 'a[href=' + window.location.hash + ']' ).trigger( 'click' );
            }
        }

        $( '.js-es-tabs' ).each( function() {
            if ( ! $( this ).find( '.nav-tab-menu li.active' ).length ) {
                $( this ).find( '.nav-tab-menu li:first-child a' ).trigger( 'click' );
            }

            window.scrollTo( 0, 0 );         // execute it straight away

            setTimeout( function() {
                window.scrollTo( 0, 0 );     // run it a bit later also for browser compatibility
            }, 1 );
        } );

    } );

} )( jQuery );
