<?php

/**
 * @var $this Es_Prop_Management_Shortcode
 * @var $messenger Es_Messenger
 */

$add_new_link =  add_query_arg( array( 'es-page' => 'new-property', 'id' => null ) );
$redirect_link =  add_query_arg( array( 'es-page' => 'properties', 'id' => null ) );
$property = es_get_property( ! empty( $_GET['id'] ) ? $_GET['id'] : null ); ?>

<?php if ( $tabs = $this->get_tabs() ) : ?>

<div class="es-manage-property__wrap">
    <form method="POST">
        <input type="hidden" name="_redirect" value="<?php echo $redirect_link; ?>"/>
        <div class="es-manage-property__header">
            <div class="es-header__text">
                <?php _e( 'Enter your listing details below and click \'Save\' button to finish.', 'es-plugin' ); ?>
            </div>
            <div class="es-header__buttons">
                <a href="<?php echo $add_new_link; ?>" class="es-btn es-btn-green"><?php _e( 'Add new', 'es-plugin' ); ?></a>
                <input type="submit" class="es-btn es-btn-blue-bordered" value="<?php _e( 'Save & Close', 'es-plugin' ); ?>">
            </div>
        </div>

        <?php if ( $messenger->get_messages() ) : ?>
            <?php $messenger->render_messages(); ?>
        <?php endif; ?>

        <div class="es-messages"></div>

        <div class="es-manage-property__tab js-es-tabs">
        <!-- Tabs links -->
        <ul class="nav-tab-menu">
            <?php foreach ( $tabs as $id => $tab ) : ?>
                <li>
                    <a href="#<?php echo $id; ?>" class="es-icomoon-icon es-icomoon-icon-<?php echo $id; ?>">
                        <?php echo empty( $tab['label'] ) ? $id : $tab['label'] ; ?>
                    </a>
                </li>
            <?php endforeach; ?>
        </ul>

        <?php foreach ( $tabs as $id => $tab ) : ?>
            <div id="<?php echo $id; ?>" class="es-tab">
            <?php do_action( 'es_before_property_metabox_front_tab_content', $id, $tab ); ?>
                <?php if ( $fields = $property::get_fields() ) : ?>
                    <?php foreach ( $fields as $field_id => $field ) : ?>
                        <?php if ( ! empty( $field['tab'] ) && $field['tab'] == $id && empty( $field['front_management']['hide'] ) ): ?>
                            <?php echo Es_Html_Helper::render_field( $field_id, $field, $property ); ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                <?php endif; ?>
            <?php do_action( 'es_after_property_metabox_front_tab_content', $id, $tab ); ?>
            </div>
        <?php endforeach; ?>
        </div>
        <?php wp_nonce_field( 'es_manage_property', 'es_manage_property' ); ?>
    </form>
</div>
<?php endif;
