<?php

/**
 * @var $this Es_List_Table
 */

?>

<div class="es-table-wrap">
    <?php do_action( 'es_before_list_table', $this ); ?>

    <table class="es-table es-list-table">
        <?php if ( ( $columns = $this->get_columns() ) && $this->settings['show_header'] ) : ?>
            <thead>
                <tr>
                    <?php foreach ( $columns as $key => $label ) : ?>
                        <th class="es-col es-col-<?php echo $key; ?>"><?php echo $label; ?></th>
                    <?php endforeach; ?>
                </tr>
            </thead>
        <?php endif; ?>

        <tbody>
            <?php if ( $items = $this->get_items() ) : ?>
                <?php foreach ( $items as $item ) : ?>
                    <tr<?php echo $item instanceof WP_Post ? ' class="' . $item->post_status . '"' : ''; ?>>
                        <?php foreach ( $columns as $key => $label ) : ?>
                            <td class="es-col es-col-<?php echo $key; ?>">
                                <?php do_action( 'es_list_table_value_col', $key, $item, $this ); ?>
                            </td>
                        <?php endforeach; ?>
                    </tr>
                <?php endforeach; ?>
            <?php else: ?>
                <tr class="es-empty">
                    <td colspan="<?php echo count( $columns ); ?>"><?php _e( 'Nothing to display', 'es-plugin' ); ?></td>
                </tr>
            <?php endif; ?>
        </tbody>

        <?php if ( ( $columns = $this->get_columns() ) && $this->settings['show_footer'] ) : ?>
            <tfoot>
            <tr>
                <?php foreach ( $columns as $key => $label ) : ?>
                    <td class="es-col es-col-<?php echo $key; ?>"><?php echo $label; ?></td>
                <?php endforeach; ?>
            </tr>
            </tfoot>
        <?php endif; ?>
    </table>

    <?php do_action( 'es_after_list_table', $this ); ?>
</div>
