<?php

class Es_Subscription_Metabox
{
    /**
     * Initialize components of property metabox.
     */
    public static function init()
    {
        $o = new self();
        $o->actions();
    }

    /**
     * Add actions for property metabox.
     *
     * @return void
     */
    public function actions()
    {
        add_action( 'add_meta_boxes', array( __CLASS__, 'build' ) );
    }

    /**
     * Initialize property data metabox.
     * @see add_meta_box
     */
    public static function build()
    {
        add_meta_box(
            'es-subscription-data', __( 'Subscription data', 'es-plugin' ), array( __CLASS__, 'render' ),
            'es_subscription'
        );
    }

    /**
     * Render property metabox.
     *
     * @return void
     */
    public static function render()
    {
        $template = apply_filters( 'es_subscription_metabox_template_path', ES_PLUGIN_PATH  . '/subscriptions/templates/metabox.php' ) ;
        include ( $template );
    }
}
