<?php

/**
 * @var Es_Settings_Container $es_settings
 * @var array $list_pages
 */

?>

<?php do_action( 'es_settings_before_subscription_tab' ); ?>

<?php echo Es_Html_Helper::render_settings_field( __( 'Enable subscriptions', 'es-plugin' ), 'es_settings[enabled_subscription]', 'checkbox', array(
    'checked' => (bool) $es_settings->enabled_subscription ? 'checked' : false,
    'value' => 1,
    'class' => 'es-switch-input es-subscription__input__enabled',
) ); ?>

<div class="es-subscription__settings">

    <?php echo Es_Html_Helper::render_settings_field( __( 'Subscription expired subject', 'es-plugin' ), 'es_settings[expired_email_subject]', 'text', array(
        'value' => $es_settings->expired_email_subject,
    ) ); ?>

    <div class="es-settings-field">
        <label><span class="es-settings-label"><?php _e( 'Subscription expired message', 'es-plugin' ); ?>:</span><br><br>
            <?php wp_editor( $es_settings->expired_email_body, 'expired_email_body', array(
                'textarea_name' => 'es_settings[expired_email_body]',
                'textarea_rows' => 5
            ) ); ?>
        </label>
    </div>

    <?php echo Es_Html_Helper::render_settings_field( __( 'Checkout page', 'es-plugin' ), 'es_settings[subscription_checkout_page_id]', 'list', array(
        'value' => $es_settings->subscription_checkout_page_id,
        'values' => $list_pages,
    ) ); ?>

    <input type="hidden" name="es_settings[payment_method]" value="<?php echo $es_settings->payment_method; ?>"/>

<?php do_action( 'es_settings_after_subscription_tab' ); ?>
</div>
