<?php
/**
 * @var WP_Post $post
 * @var Es_Settings_Container $es_settings
 * @var Es_Property $property
 */

$sub_title_arr = array();
$price = es_the_formatted_price( '', '', false );
$categories = es_the_categories( '', ', ', '', false );
if ( $price ) $sub_title_arr[] = $price;
if ( $categories ) $sub_title_arr[] = $categories;

$sub_title = implode( ', ', $sub_title_arr ); ?>

<style>
    * {
        margin: 0;
        padding: 0;
        list-style: none;
        font-family: DejaVu Sans;
        font-size: 17px;
        color: #444950;
        line-height: 22px;
    }

    body {
        border:2px solid #cacfd4;
        padding:26px;
        margin:10px;
    }

    .head {
        padding-bottom: 28px;
    }

    .container {
        border-top: 1px solid #e2e2e2;
        padding:23px 0;
    }

    a {
        color: #006aff;
    }

    .cover img {
        width: 100%;
    }

    h1 {
        font-size: 25px;
        line-height: 70px;
        margin-bottom: 3px;
    }

    h2 {
        font-size: 19px;
        font-weight: 600;
        margin-bottom: 8px;
    }

    table {
        width: 100%;
        margin:0; padding: 0;
        border: 0;
    }

    td {
        width: 50%;
        vertical-align: baseline;
    }

    .container-features h2 {
        margin-bottom: 10px;
    }

    .container-features li {
        margin-bottom: 5px;
    }

    .container-features li img {
        width: 14px; height: auto;
    }

    .agent-image {
        width: 20%;
    }

    .agent-content {
        width: 80%;
        padding-left: 12px;
    }

    .es-agent__field {
        display: block;
    }

    .es-field__name, .es-field__tel {
        font-weight: bold;
    }

    .es-agent__field {
        margin-bottom: 3px;
    }

    .agent-description {
        margin-top: 13px;
        font-size: 16px;
    }

    .agent-rating {
        text-align: right;
    }

    .rating-label {
        vertical-align: middle;
    }

    .rating-wrap {
        vertical-align: middle;
        text-align: right;
    }

    .logo {
        margin-bottom: 10px;
    }

    .sub-title {
        margin-top: 20px;
    }

</style>
<body>

<div class="wrap">
    <div class="head">
        <div class="logo">
            <?php if ( $es_settings->logo_attachment_id && ( $image = wp_get_attachment_image_url( $es_settings->logo_attachment_id, 'full' ) ) ) : ?>
                <img src="<?php echo $image; ?>" alt="Logo" height="30" width="auto">
            <?php endif; ?>
        </div>

        <div class="cover">
            <?php es_the_post_thumbnail( 'es-image-size-archive' ); ?>
        </div>

        <h1><?php es_the_title(); ?></h1>
        <span class="address"><?php es_the_address(); ?></span>

        <?php if ( $sub_title ) : ?>
            <div class="sub-title">
                <?php echo $sub_title; ?>
            </div>
        <?php endif; ?>

    </div>

    <div class="content">
        <?php if ( $sections = Es_Property_Pdf::get_sections() ) : ?>
            <?php foreach ( $sections as $id => $section ) : ?>
                <?php if ( ! empty( $section['render_action'] ) ) : ?>
                    <?php do_action( $section['render_action'] . '_pdf', $id, $section ); ?>
                <?php else: ?>
                    <?php do_action( 'es_single_render_tab_pdf', $id, $section ); ?>
                <?php endif; ?>
            <?php endforeach; ?>
        <?php endif; ?>
    </div>
</div>

</body>
